Subject: Re: [PATCH 2/2] coresight: etmv4: Fix CPU power management setup in probe() function

From: Greg KH <[email-masked]>
Date: Wed, 1 Jul 2020 18:45:30 +0200

On Wed, Jul 01, 2020 at 10:08:52AM -0600, Mathieu Poirier wrote:
> From: Mike Leach <[email-masked]>
> 
> The current probe() function calls a pair of cpuhp_xxx API functions to
> setup CPU hotplug handling. The hotplug lock is held for the duration of
> the two calls and other CPU related code using cpus_read_lock() /
> cpus_read_unlock() calls.
> 
> The problem is that on error states, goto: statements bypass the
> cpus_read_unlock() call. This code has increased in complexity as the
> driver has developed.
> 
> This patch introduces a pair of helper functions etm4_pm_setup_cpuslocked()
> and etm4_pm_clear() which correct the issues above and group the PM code a
> little better.
> 
> The two functions etm4_cpu_pm_register() and etm4_cpu_pm_unregister() are
> dropped as these call cpu_pm_register_notifier() / ..unregister_notifier()
> dependent on CONFIG_CPU_PM - but this define is used to nop these functions
> out in the pm headers - so the wrapper functions are superfluous.
> 
> Fixes: f188b5e76aae ("coresight: etm4x: Save/restore state across CPU low power states")
> Fixes: e9f5d63f84fe ("hwtracing/coresight-etm4x: Use cpuhp_setup_state_nocalls_cpuslocked()")
> Fixes: 58eb457be028 ("etm4x: Convert to hotplug state machine")

That should be:
	Fixes: 58eb457be028 ("hwtracing/coresight-etm4x: Convert to hotplug state machine")

I'll go fix it up, but be careful, I don't know where you got that
from...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel